> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Delivery Dates of Items in bulk

> Update delivery dates of items in bulk



## OpenAPI

````yaml /openapi/openapi_commerce.json post /commerce/checkouts/{checkoutId}/items/deliverydates
openapi: 3.0.1
info:
  description: |-
    <div id="overview_COMMERCE">
                <h2>COMMERCE</h2>
                <p>The Commerce API interacts with the commerce entities of your tenant, including shoppers's active shopping
                    carts, checkouts, submitted orders, wishlists, and returns as well as B2B quotes.</p>
                <p>Use the <strong>Carts</strong> resource to manage storefront shopping carts as shoppers add and remove items for purchase.
                    Each time a shopper's cart is modified, the Carts resource updates the estimated total with any
                    applicable
                    discounts.</p>
                <p>Use the <strong>Channels</strong> and <strong>Channel Groups</strong> resources to manage the channels a company uses to create logical
                    commercial business divisions based on region or types of sales, such as "US Online," "Amazon," or "EMEA
                    Retail."
                    All orders include a channel association that enables the company to perform financial reporting for
                    each defined channel.
                    Because channels are managed at the tenant level, you must associate all the tenant's sites with a
                    channel. Sites that do not
                    have a defined channel association cannot successfully submit orders.</p>
                <p>Use the <strong>Checkouts</strong> resource to track a shopper's order items and their intended destinations on sites that
                    have the multiple shipment feature enabled.</p>
                <p>Use the <strong>Orders</strong> resource to manage all components of order processing, payment, and order-level
                    fulfillment.</p>
                <p>Use the <strong>Quotes</strong> resource to support B2B functionality by managing order quotes, similar to wishlists.</p>
                <p>Use the <strong>Returns</strong> resource to manage returned items that were previously fufilled. Returns can include any
                    number of items associated with an original
                    order. Each return must either be associated with an original order or a product definition to represent
                    each returned item.</p>
                <p>Use the <strong>Wish Lists</strong> resource to manage the shopper wish lists of products associated with a customer
                    account. Although customer accounts are managed at the tenant
                    level, the system stores shopper wish lists at the site level. This enables the same customer to have
                    wish lists for each of a merchant's sites. The <strong>Wish List Items</strong>
                    resource allows you to manage the individual items in a wish list.</p>
            </div>
  title: Cart/Checkout/Quote
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/checkouts/{checkoutId}/items/deliverydates:
    post:
      tags:
        - Checkout
      summary: Update Delivery Dates of Items in bulk
      description: Update delivery dates of items in bulk
      parameters:
        - description: ID of the Checkout
          in: path
          name: checkoutId
          required: true
          schema:
            type: string
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              items:
                $ref: '#/components/schemas/ItemsAndDeliveryDates'
              type: array
        description: Pairings of Delivery Date and associated ItemIds
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Checkout'
            text/json:
              schema:
                $ref: '#/components/schemas/Checkout'
            text/plain:
              schema:
                $ref: '#/components/schemas/Checkout'
          description: Success
components:
  schemas:
    ItemsAndDeliveryDates:
      properties:
        deliveryDate:
          format: date-time
          type: string
        itemIds:
          items:
            type: string
          nullable: true
          type: array
      type: object
    Checkout:
      properties:
        acceptsMarketing:
          description: Does the customer accept marketing
          nullable: true
          type: boolean
        alternateContact:
          $ref: '#/components/schemas/AlternateContact'
        amountRemainingForPayment:
          description: "A counter for how much of the total has not been claimed by payments.\r\nThis is computed by Total - (sum of Payments where State is not Voided/Declined)"
          format: double
          type: number
        attributes:
          items:
            $ref: '#/components/schemas/CommerceRuntimeOrderAttribute'
          nullable: true
          type: array
        auditInfo:
          $ref: '#/components/schemas/AdminUserAuditInfo'
        availableActions:
          items:
            type: string
          nullable: true
          type: array
        channelCode:
          description: Unique identifier of the channel for this item.
          nullable: true
          type: string
        couponCodes:
          description: Coupon codes associated with this order.
          items:
            type: string
          nullable: true
          type: array
        currencyCode:
          description: ISO Currency Code.
          nullable: true
          type: string
        customerAccountId:
          description: Unique identifier of the customer account.
          format: int32
          nullable: true
          type: integer
        customerInteractionType:
          description: "Determines the interaction type that a customer will use to create this object.\r\nValid values are: Website, Store, Call, Unknown"
          nullable: true
          type: string
        customerTaxId:
          description: >-
            The customers tax ID. If Customer Account ID exists in the system,
            will set this.
          nullable: true
          readOnly: true
          type: string
        data:
          description: Custom data for a given vendor set within the commerce process.
          nullable: true
          type: object
        destinations:
          items:
            $ref: '#/components/schemas/CommerceRuntimeDestination'
          nullable: true
          type: array
        discountThresholdMessages:
          description: >-
            List of Mozu.CommerceRuntime.Contracts.Commerce.ThresholdMessage
            objects that are valid for the current value of the cart/order.
          items:
            $ref: '#/components/schemas/CommerceRuntimeThresholdMessage'
          nullable: true
          type: array
        dutyTotal:
          description: Total duty fees
          format: double
          nullable: true
          type: number
        email:
          description: Email address for checkout
          nullable: true
          type: string
        feeTotal:
          description: Total Fees
          format: double
          type: number
        groupings:
          description: List of checkout grouping.
          items:
            $ref: '#/components/schemas/CheckoutGrouping'
          nullable: true
          type: array
        handlingSubTotal:
          description: "Pre-Discounted Handling Subtotal of the CommerceAggregate and its Items.\r\nReturns {null} if the calculated value is negative."
          format: double
          type: number
        handlingTaxTotal:
          description: Total tax on handling.
          format: double
          type: number
        handlingTotal:
          description: >-
            Overall handling total, accounting for line and order-level handling
            costs, any handling discounts, and handling tax.
          format: double
          type: number
        id:
          description: Unique identifier.
          nullable: true
          type: string
        invalidCoupons:
          description: A list of invalid coupons that were attempted on the order.
          items:
            $ref: '#/components/schemas/InvalidCoupon'
          nullable: true
          type: array
        ipAddress:
          description: IP address of the user placing the order. (User or customer?)
          nullable: true
          type: string
        isTaxExempt:
          description: Unique identifier of the customer account.
          nullable: true
          readOnly: true
          type: boolean
        itemLevelHandlingDiscountTotal:
          description: The total value of item-level handling discounts.
          format: double
          type: number
        itemLevelProductDiscountTotal:
          description: The total value of item-level product discounts.
          format: double
          type: number
        itemLevelShippingDiscountTotal:
          description: The total value of item-level shipping discounts.
          format: double
          type: number
        itemTaxTotal:
          description: Total tax on products.
          format: double
          type: number
        itemTotal:
          description: The total product cost, accounting for discounts and tax.
          format: double
          type: number
        items:
          description: List of items in the checkout.
          items:
            $ref: '#/components/schemas/CommerceRuntimeOrderItem'
          nullable: true
          type: array
        locationCode:
          description: >-
            Identifies the location at which the order was placed if the order
            was placed externally.
          nullable: true
          type: string
        number:
          description: >-
            A checkout number that is only assigned after the checkout is
            placed.
          format: int32
          nullable: true
          type: integer
        orderDiscounts:
          items:
            $ref: '#/components/schemas/CommerceRuntimeAppliedDiscount'
          nullable: true
          type: array
        orderLevelHandlingDiscountTotal:
          description: The total value of order-level (group-level) handling discounts.
          format: double
          type: number
        orderLevelProductDiscountTotal:
          description: The total value of order-level (group-level) product discounts.
          format: double
          type: number
        orderLevelShippingDiscountTotal:
          description: The total value of order-level (group-level) shipping discounts.
          format: double
          type: number
        originalCartId:
          description: Unique identifier for the cart that was converted to checkout.
          nullable: true
          type: string
        payments:
          description: "Payment transaction associated with this checkout. It is the entire payment interchange between the merchant \r\nwho is forwarding the customer's payment information and the payment service who is authorizing and \r\ncapturing payment. Payment can be either by credit card, check, or PayPal."
          items:
            $ref: '#/components/schemas/CommerceRuntimePayment'
          nullable: true
          type: array
        priceListCode:
          description: Pricelist code for the checkout
          nullable: true
          type: string
        shippingSubTotal:
          description: Shipping does not appear on cart.
          format: double
          type: number
        shippingTaxTotal:
          description: Total tax on shipping.
          format: double
          type: number
        shippingTotal:
          description: >-
            Overall shipping total, accounting for item and order-level shipping
            costs, any shipping discounts, and shipping tax.
          format: double
          type: number
        shopperNotes:
          $ref: '#/components/schemas/CommerceRuntimeShopperNotes'
        siteId:
          description: Unique identifier of the Site.
          format: int32
          type: integer
        sourceDevice:
          description: Source device of the user placing the order. (User or customer?)
          nullable: true
          type: string
        subTotal:
          description: Subtotal before any coupon codes, taxes, fees, etc.
          format: double
          type: number
        submittedDate:
          description: When the customer placed (submitted) the order.
          format: date-time
          nullable: true
          type: string
        suggestedDiscounts:
          items:
            $ref: '#/components/schemas/SuggestedDiscount'
          nullable: true
          type: array
        taxData:
          description: Storage for any additional/custom tax data.
          nullable: true
          type: object
        tenantId:
          description: Unique identifier of the Tenant.
          format: int32
          type: integer
        total:
          description: Final total
          format: double
          type: number
        type:
          description: >-
            Is this Order Online or Offline? Online means shopper entered at
            checkout, offline means a phone order.
          nullable: true
          type: string
        visitId:
          description: >-
            Identifies the Visit ID that was current when the order was placed
            or when the cart was last updated.
          nullable: true
          type: string
        webSessionId:
          description: >-
            Identifies the web session used to place the order or last update
            the cart.
          nullable: true
          type: string
      type: object
    AlternateContact:
      properties:
        emailAddress:
          description: Email Address of alternate contact during order process
          nullable: true
          type: string
        firstName:
          description: First Name of alternate contact during order process
          nullable: true
          type: string
        lastNameOrSurname:
          description: Last Name of alternate contact during order process
          nullable: true
          type: string
        phoneNumber:
          description: Phone Number of alternate contact during order process
          nullable: true
          type: string
      type: object
    CommerceRuntimeOrderAttribute:
      properties:
        attributeDefinitionId:
          format: int32
          nullable: true
          type: integer
        auditInfo:
          $ref: '#/components/schemas/AdminUserAuditInfo'
        fullyQualifiedName:
          nullable: true
          type: string
        values:
          items: {}
          nullable: true
          type: array
      type: object
    AdminUserAuditInfo:
      properties:
        createBy:
          nullable: true
          type: string
        createDate:
          format: date-time
          nullable: true
          type: string
        updateBy:
          nullable: true
          type: string
        updateDate:
          format: date-time
          nullable: true
          type: string
      type: object
    CommerceRuntimeDestination:
      properties:
        data:
          description: Custom data
          nullable: true
          type: object
        destinationContact:
          $ref: '#/components/schemas/CommerceRuntimeContact'
        id:
          description: An identifier for this entry.
          nullable: true
          type: string
        isDestinationCommercial:
          description: Indicates that the destination is commercial
          nullable: true
          type: boolean
      type: object
    CommerceRuntimeThresholdMessage:
      properties:
        discountId:
          format: int32
          type: integer
        message:
          nullable: true
          type: string
        requiresCouponCode:
          type: boolean
        showInCart:
          type: boolean
        showOnCheckout:
          type: boolean
        thresholdValue:
          format: double
          type: number
      type: object
    CheckoutGrouping:
      properties:
        destinationId:
          description: >-
            The DestinationId used by items in this grouping, which may be
            {null}.
          nullable: true
          type: string
        dutyAmount:
          description: >-
            Any duty fee applied directly to this group. Items can also have
            their own duty fee.
          format: double
          nullable: true
          type: number
        dutyTotal:
          description: Total raw duty amounts for this group.
          format: double
          type: number
        fulfillmentMethod:
          description: The FulfillmentMethod used by items in this grouping.
          nullable: true
          type: string
        handlingAmount:
          description: The handling fee amount that's applicable to this grouping.
          format: double
          nullable: true
          type: number
        handlingDiscounts:
          items:
            $ref: '#/components/schemas/CommerceRuntimeAppliedDiscount'
          nullable: true
          type: array
        handlingSubTotal:
          description: The total raw handling amounts minus handling discounts.
          format: double
          type: number
        handlingTax:
          description: Group-level handling tax. Does not account for item handling tax.
          format: double
          nullable: true
          type: number
        handlingTaxTotal:
          description: >-
            The total handling tax for this group, accounting for both
            group-level and item-level handling tax.
          format: double
          type: number
        handlingTotal:
          description: >-
            The total handling cost for this group, accounting for discounts and
            tax.
          format: double
          type: number
        id:
          description: A unique identifier for this grouping.
          nullable: true
          type: string
        itemLevelHandlingDiscountTotal:
          description: >-
            The total value of item-level handling discounts applied to this
            group.
          format: double
          type: number
        itemLevelShippingDiscountTotal:
          description: >-
            The total value of item-level shipping discounts applied to this
            group.
          format: double
          type: number
        orderItemIds:
          description: Identifiers of the items that make up this grouping.
          items:
            type: string
          nullable: true
          type: array
        orderLevelHandlingDiscountTotal:
          description: >-
            The total value of order-level (group-level) handling discounts
            applied to this group.
          format: double
          type: number
        orderLevelShippingDiscountTotal:
          description: >-
            The total value of order-level (group-level) shipping discounts
            applied to this group.
          format: double
          type: number
        shippingAmount:
          description: >-
            If a shipping method applies directly to this grouping (versus the
            items), this is the raw shipping amount for the group.
          format: double
          nullable: true
          type: number
        shippingDiscounts:
          items:
            $ref: '#/components/schemas/ShippingDiscount'
          nullable: true
          type: array
        shippingMethodCode:
          description: "Code that uniquely identifies the shipping method such as \"Ground,\" \"Overnight,\" or \"Digital.\"\r\nThe site's shipping settings lists the valid shipping methods specified for this site."
          nullable: true
          type: string
        shippingMethodName:
          description: Readable name of the shipping method.
          nullable: true
          type: string
        shippingSubTotal:
          description: The raw shipping amount minus shipping discounts.
          format: double
          type: number
        shippingTax:
          description: Group-level shipping tax. Does not account for item shipping tax.
          format: double
          nullable: true
          type: number
        shippingTaxTotal:
          description: >-
            The total shipping tax for this group, accounting for both
            group-level and item-level shipping tax.
          format: double
          type: number
        shippingTotal:
          description: >-
            The total shipping cost for this group, accounting for discounts and
            tax.
          format: double
          type: number
        standaloneGroup:
          description: Indicates whether a non ship group should combine with a ship group
          type: boolean
        taxData:
          nullable: true
          type: object
      type: object
    InvalidCoupon:
      description: >-
        Represents a coupon that is considered invalid by the Mozu pricing
        service.
      properties:
        couponCode:
          description: Code that identifies the coupon.
          nullable: true
          type: string
        createDate:
          description: Create date of the invalid coupon.
          format: date-time
          type: string
        discountId:
          format: int32
          type: integer
        reason:
          description: Description text of the reason.
          nullable: true
          type: string
        reasonCode:
          description: Code that identifies the reason the coupon was invalid.
          format: int32
          type: integer
      type: object
    CommerceRuntimeOrderItem:
      allOf:
        - $ref: '#/components/schemas/CommerceRuntimeCommerceItem'
      description: A single line item of an order.
      properties:
        deliveryWindow:
          $ref: '#/components/schemas/CommerceRuntimeDeliveryWindow'
        destinationId:
          description: >-
            The destination associated with this item when used with a
            multi-ship checkout.
          nullable: true
          type: string
        dutyAmount:
          description: Duty or Tariff for this item
          format: double
          nullable: true
          type: number
        expectedDeliveryDate:
          description: Expected Delivery Date of shipment
          format: date-time
          nullable: true
          type: string
        fulfillmentLocationCode:
          description: Location code from which to obtain this item
          nullable: true
          type: string
        fulfillmentMethod:
          description: Fulfillment method used to fulfill this item
          nullable: true
          type: string
        giftInfo:
          $ref: '#/components/schemas/GiftInfo'
        id:
          description: >-
            Unique identifier of the order line item. System-supplied and
            read-only.
          nullable: true
          type: string
        isReservationEnabled:
          description: Flag to indicate reserve inventory in cart
          type: boolean
        originalCartItemId:
          description: "Unique identifier of the cart item that is associated with this line item. \r\n(This is the original Cart Item ID expressed as a GUID.)"
          nullable: true
          type: string
        priceMode:
          description: >-
            Determines if the item is using external or internal(catalog)
            pricing
          nullable: true
          type: string
        returnRuleInfo:
          $ref: '#/components/schemas/ReturnRuleInfo'
        shippingMethodCode:
          description: Code that uniquely identifies the shipping method.
          nullable: true
          type: string
        shippingMethodName:
          description: Readable name of the shipping method.
          nullable: true
          type: string
        subscription:
          $ref: '#/components/schemas/SubscriptionInfo'
        suggestions:
          description: Routing suggestions
          items:
            $ref: '#/components/schemas/Suggestion'
          nullable: true
          type: array
      type: object
    CommerceRuntimeAppliedDiscount:
      description: "Discount applied to the order, which is a negative number to be subtracted from the original price to get the final price. \r\nIf multiple discounts for the order exist, this is the value most advantageous to the shopper."
      properties:
        couponCode:
          description: >-
            Code of the coupon associated with the discount if a coupon code is
            required to get the discount.
          nullable: true
          type: string
        data:
          description: Stores any custom data sent from external discounts.
          nullable: true
          type: object
        discount:
          $ref: '#/components/schemas/CommerceRuntimeDiscount'
        excluded:
          description: >-
            Determines whether or not this discount is set up to be ignored by
            the pricing runtime.
          nullable: true
          type: boolean
        groupId:
          description: Group identifier for the discount.
          nullable: true
          type: string
        impact:
          description: >-
            Value of the discount applied. This is a negative number to be
            subtracted from the original price to get the final price.
          format: double
          nullable: true
          type: number
      type: object
    CommerceRuntimePayment:
      description: "Payment transaction associated with this order. It is the entire payment interchange between the merchant who is forwarding the customer's payment \r\ninformation and the payment service who is authorizing and capturing payment. Payment can be either by credit card, check, or PayPal. (PayPal not\r\ncurrently supported.)"
      properties:
        amountCollected:
          description: Amount collected on the payment
          format: double
          type: number
        amountCredited:
          description: Amount credited back to the payment.
          format: double
          type: number
        amountRequested:
          description: "Derived from the Amount on the initial payment create, used to help storefront determine how much can be captured for multiple payments.\r\nSee Order.AmountRemainingForPayment for an example."
          format: double
          type: number
        auditInfo:
          $ref: '#/components/schemas/AdminUserAuditInfo'
        availableActions:
          description: Actions available to the payment
          items:
            type: string
          nullable: true
          type: array
        billingInfo:
          $ref: '#/components/schemas/CommerceRuntimeBillingInfo'
        changeMessages:
          description: Change messages related to the payment.
          items:
            $ref: '#/components/schemas/CommerceRuntimeChangeMessage'
          nullable: true
          type: array
        data:
          description: Custom data from payment providers
          nullable: true
          type: object
        externalTransactionId:
          description: >-
            The external/third party transaction Id for this payment. This is
            used to store the transaction Id from digital wallet like Visa
            Checkout
          nullable: true
          type: string
        gatewayGiftCard:
          $ref: '#/components/schemas/GatewayGiftCard'
        groupId:
          $ref: '#/components/schemas/PaymentActionTarget'
        id:
          description: Unique identifier of this order transaction.
          nullable: true
          type: string
        installmentPlanCode:
          description: >-
            Stores the Installment Plan code. Installment is only supported on
            subscription orders
          nullable: true
          type: string
        interactions:
          description: "List of intereactions for this transaction. A transaction is created upon authorization and lasts across the payment \r\ninterchange, which can consist of multiple interactions, such as consecutive captures."
          items:
            $ref: '#/components/schemas/PaymentInteraction'
          nullable: true
          type: array
        isRecurring:
          description: "If true, the product is purchased or fulfilled at regular intervals, for example, \r\nmonthly billing or a subscription. (Not currently supported.)"
          type: boolean
        orderId:
          description: >-
            Unique identifier of the order with which this transaction is
            associated.
          nullable: true
          type: string
        paymentServiceTransactionId:
          description: >-
            Unique identifier of the transaction, specified by the payment
            service processesing this transaction.
          nullable: true
          type: string
        paymentType:
          description: Type of Payment
          nullable: true
          type: string
        paymentWorkflow:
          description: >-
            The source of data for this payment.  By default, this will be set
            to 'mozu'
          nullable: true
          type: string
        status:
          description: >-
            Current status of this transaction which are described by the
            PaymentStatusConst class.
          nullable: true
          type: string
        subPayments:
          description: >-
            List of sub payments that correspond to child orders in case of
            multiship orders.
          items:
            $ref: '#/components/schemas/SubPayment'
          nullable: true
          type: array
      type: object
    CommerceRuntimeShopperNotes:
      description: >-
        Notes that the shopper has added to this order, for example, a gift
        message or other comments.
      properties:
        comments:
          description: Comments associated with this order.
          nullable: true
          type: string
        deliveryInstructions:
          description: DeliveryInstructions associated with this order.
          nullable: true
          type: string
        giftMessage:
          description: Gift message associated with this order.
          nullable: true
          type: string
      type: object
    SuggestedDiscount:
      properties:
        autoAdd:
          type: boolean
        discountId:
          format: int32
          type: integer
        hasMultipleProducts:
          type: boolean
        hasOptions:
          type: boolean
        productCode:
          nullable: true
          type: string
      type: object
    CommerceRuntimeContact:
      properties:
        address:
          $ref: '#/components/schemas/CommerceRuntimeAddress'
        companyOrOrganization:
          nullable: true
          type: string
        email:
          nullable: true
          type: string
        firstName:
          nullable: true
          type: string
        id:
          format: int32
          nullable: true
          type: integer
        lastNameOrSurname:
          nullable: true
          type: string
        middleNameOrInitial:
          nullable: true
          type: string
        phoneNumbers:
          $ref: '#/components/schemas/CommerceRuntimePhone'
      type: object
    ShippingDiscount:
      description: Value of the shipping discount.
      properties:
        discount:
          $ref: '#/components/schemas/CommerceRuntimeAppliedDiscount'
        methodCode:
          description: Unique identifier of the shipping method discount.
          nullable: true
          type: string
      type: object
    CommerceRuntimeCommerceItem:
      description: Base class for cart and order items
      properties:
        adjustedLineItemSubtotal:
          description: Order Level taxable sub total
          format: double
          nullable: true
          type: number
        auditInfo:
          $ref: '#/components/schemas/AdminUserAuditInfo'
        autoAddDiscountId:
          description: Track the discoutid from which the item was auto added
          format: int32
          nullable: true
          type: integer
        childItemIds:
          description: List of Child Item Ids for this order item
          items:
            type: string
          nullable: true
          type: array
        data:
          description: Custom data for a given vendor set within the commerce process.
          nullable: true
          type: object
        discountTotal:
          description: >-
            How much the shopper saves with the applied discount or sale price.
            This is a negative number.
          format: double
          nullable: true
          type: number
        discountedTotal:
          description: Subtotal minus any discounts.
          format: double
          nullable: true
          type: number
        dutyAmount:
          description: Indicate Duty Amount for this item.
          format: double
          nullable: true
          type: number
        extendedTotal:
          description: >-
            Line item extended total (quantity multiplied by unit extended
            price) before discounts.
          format: double
          nullable: true
          type: number
        feeTotal:
          description: Not implemented. Total cost of fees that apply to this item.
          format: double
          nullable: true
          type: number
        handlingAmount:
          description: Handling Amount for this item
          format: double
          nullable: true
          type: number
        inventoryTags:
          items:
            $ref: '#/components/schemas/InventoryTags'
          nullable: true
          type: array
        isAssemblyRequired:
          description: Assembly Required for this order item
          type: boolean
        isRecurring:
          description: >-
            If true, the cart item lists a product that can be purchased or
            fulfilled at regular intervals, for example, monthly billing or a
            subscription.
          nullable: true
          type: boolean
        isTaxable:
          description: Not implemented. If true, the cart item is eligible for tax.
          nullable: true
          type: boolean
        itemTaxTotal:
          description: Total price of taxes that apply to products in this item.
          format: double
          nullable: true
          type: number
        lineId:
          description: "The line id assigned to the order item. Visible only in the Admin, this is set from the Admin or\r\nin CommerceRuntime when a cart is converted to an order."
          format: int32
          nullable: true
          type: integer
        lineItemAdjustment:
          format: double
          nullable: true
          type: number
        localeCode:
          description: "Locale code for language that appears in text and descriptions on the site, for example, en_US. \r\nThis is not the currency code. Currently only en_US is supported."
          nullable: true
          type: string
        parentItemId:
          description: Indicates Parent Item Id for this order item
          nullable: true
          type: string
        product:
          $ref: '#/components/schemas/CommerceRuntimeProduct'
        productDiscount:
          $ref: '#/components/schemas/CommerceRuntimeAppliedLineItemProductDiscount'
        productDiscounts:
          description: A list of discounts applied to the product
          items:
            $ref: '#/components/schemas/CommerceRuntimeAppliedLineItemProductDiscount'
          nullable: true
          type: array
        purchaseLocation:
          description: "The location where the product is being purchased.. default is null. Products can have different prices\r\nby purchaseLocation via custom priceListResolution..."
          nullable: true
          type: string
        quantity:
          description: Number of products ordered.
          format: int32
          type: integer
        shippingAmountBeforeDiscountsAndAdjustments:
          description: Shipping amount before Discounts and adjustments
          format: double
          nullable: true
          type: number
        shippingDiscounts:
          description: A discount applied to the shipping
          items:
            $ref: >-
              #/components/schemas/CommerceRuntimeAppliedLineItemShippingDiscount
          nullable: true
          type: array
        shippingTaxTotal:
          description: Total price of taxes that apply to the shipping of this item.
          format: double
          nullable: true
          type: number
        shippingTotal:
          description: Total price of shipping that apply to this item.
          format: double
          nullable: true
          type: number
        substituteInfo:
          $ref: '#/components/schemas/SubstituteInfo'
        subtotal:
          description: Line item subtotal (quantity multiplied by price) before discounts.
          format: double
          nullable: true
          type: number
        taxData:
          description: Storage for any additional/custom tax data.
          nullable: true
          type: object
        taxableTotal:
          description: Line item subtotal (quantity multiplied by price) before discounts.
          format: double
          nullable: true
          type: number
        total:
          description: Total price of this cart item taking into account any discounts.
          format: double
          nullable: true
          type: number
        totalWithWeightedShippingAndHandling:
          description: >-
            Line item total with line item, Tax, Weighted Tax with Weighted
            shipping and handling costs
          format: double
          nullable: true
          type: number
        totalWithoutWeightedShippingAndHandling:
          description: Taxable Subtotal including Weighted Order amounts
          format: double
          nullable: true
          type: number
        unitPrice:
          $ref: '#/components/schemas/CommerceUnitPrice'
        weightedOrderAdjustment:
          description: Order Level Manual Adjustment applied to this Item
          format: double
          nullable: true
          type: number
        weightedOrderDiscount:
          description: Order Level Discount applied to this Item
          format: double
          nullable: true
          type: number
        weightedOrderDuty:
          description: Order Level Duty applied to this Item
          format: double
          nullable: true
          type: number
        weightedOrderHandlingAdjustment:
          description: Order level handling adjusment that applies to this item.
          format: double
          nullable: true
          type: number
        weightedOrderHandlingFee:
          description: Order Level handling fee applied to this item
          format: double
          nullable: true
          type: number
        weightedOrderHandlingFeeDiscount:
          description: Order Level handling fee discount applied to this item
          format: double
          nullable: true
          type: number
        weightedOrderHandlingFeeTax:
          description: Order Level handling fee tax applied to this item
          format: double
          nullable: true
          type: number
        weightedOrderShipping:
          description: Order Level Shipping applied to this Item
          format: double
          nullable: true
          type: number
        weightedOrderShippingDiscount:
          description: Order Level Shipping discount applied to this Item
          format: double
          nullable: true
          type: number
        weightedOrderShippingManualAdjustment:
          description: Order Level Shipping Manual Adjustment applied to this Item
          format: double
          nullable: true
          type: number
        weightedOrderShippingTax:
          description: Order Level Shipping Tax applied to this Item
          format: double
          nullable: true
          type: number
        weightedOrderTax:
          description: Order Level tax applied to this Item
          format: double
          nullable: true
          type: number
      type: object
    CommerceRuntimeDeliveryWindow:
      properties:
        endTime:
          description: End time for delivery window.
          format: date-time
          type: string
        startTime:
          description: Start time for delivery window.
          format: date-time
          type: string
      type: object
    GiftInfo:
      properties:
        giftMessage:
          description: Item level gift message
          nullable: true
          type: string
        isGiftItem:
          description: Flag to indicate whether the item is a gift item
          nullable: true
          type: boolean
      type: object
    ReturnRuleInfo:
      properties:
        isReturnable:
          description: Indicate product is returnable or not
          nullable: true
          type: boolean
        maxDays:
          description: Return window within which an item can be returned
          format: int32
          nullable: true
          type: integer
        maxQty:
          description: Maximum quantity that can be returned
          format: int32
          nullable: true
          type: integer
        ruleCode:
          description: Return rule code which is applied
          nullable: true
          type: string
      type: object
    SubscriptionInfo:
      properties:
        frequency:
          $ref: '#/components/schemas/Frequency'
        required:
          description: Indicates commerce item is subscribed or not.
          nullable: true
          type: boolean
        trial:
          $ref: '#/components/schemas/Trial'
      type: object
    Suggestion:
      properties:
        futureDate:
          description: Used for future inventory suggestions.
          format: date-time
          nullable: true
          type: string
        locationCode:
          description: Location Code
          nullable: true
          type: string
        productCode:
          description: Unique identifier for the product.
          nullable: true
          type: string
        quantity:
          description: Quantity
          format: int32
          type: integer
        suggestionType:
          description: Indicate whether suggestion is Transfer or Future.
          nullable: true
          type: string
        transferToLocationCode:
          description: >-
            Used in STH Consolidation, to indicate consolidation location on
            Transfer suggestion.
          nullable: true
          type: string
      type: object
    CommerceRuntimeDiscount:
      description: "Discounts that apply to the order, if any. For example, when the \r\nsubtotal of the order exceeds a certain amount, or for free shipping."
      properties:
        expirationDate:
          description: >-
            Date when the discount expires. Default is null (no expiration
            date).
          format: date-time
          nullable: true
          type: string
        hasMultipleTargetProducts:
          description: "Indicates that the discount targets more than a product.  Used\r\nprimarily for BoGa discounts with multiple targets."
          type: boolean
        id:
          description: Unique identifier of the discount.
          format: int32
          type: integer
        itemIds:
          description: List of discounts for each order item.
          items:
            type: string
          nullable: true
          type: array
        name:
          description: Name of the discount in the language specified by LocaleCode.
          nullable: true
          type: string
      type: object
    CommerceRuntimeBillingInfo:
      description: "Customer's payment details such as payment type (credit card, check by mail, or PayPal)\r\nand cardholder information if payment is by credit card."
      properties:
        auditInfo:
          $ref: '#/components/schemas/AdminUserAuditInfo'
        billingContact:
          $ref: '#/components/schemas/CommerceRuntimeContact'
        card:
          $ref: '#/components/schemas/CommerceRuntimePaymentCard'
        check:
          $ref: '#/components/schemas/CheckPayment'
        customCreditType:
          description: Name of custom stored credit type
          nullable: true
          type: string
        data:
          description: Custom data from payment providers
          nullable: true
          type: object
        externalTransactionId:
          description: >-
            Transaction Id from third party payment source like Visa Checkout,
            Amazon
          nullable: true
          type: string
        isRecurring:
          description: >-
            Indicates whether the payment is used in recurring transactions. ex-
            subscription payments
          type: boolean
        isSameBillingShippingAddress:
          description: Indicates that billing and shipping address are the same
          type: boolean
        paymentType:
          description: "Type of payment, such as credit card, check by mail, or PayPal.\r\nsee Mozu.CommerceRuntime.Contracts.Payments.PaymentTypeConst for valid values"
          nullable: true
          type: string
        paymentWorkflow:
          nullable: true
          type: string
        purchaseOrder:
          $ref: '#/components/schemas/PurchaseOrderPayment'
        recurringTransactionId:
          description: "Recurring Payment Id returned by Payment Gateway\r\nnetworkTransactionId for vantiv\r\npreviousTransactionId for cybersource etc"
          nullable: true
          type: string
        storeCreditCode:
          description: The store credit to use for this purchase
          nullable: true
          type: string
        storeCreditType:
          description: The type of store credit used for this purchase
          nullable: true
          type: string
        token:
          $ref: '#/components/schemas/PaymentToken'
      type: object
    CommerceRuntimeChangeMessage:
      description: >-
        A message displayed by the system based on the last  action, for
        example, when a product price has changed. System-supplied and
        read-only.
      properties:
        amount:
          deprecated: true
          description: Monetary amount that pertains to the change if applicable
          format: double
          nullable: true
          type: number
        appId:
          description: App Id that identifies the user that performed the related change
          nullable: true
          type: string
        appKey:
          description: App Key
          nullable: true
          type: string
        appName:
          description: App Name
          nullable: true
          type: string
        attributes:
          additionalProperties: {}
          description: Additional Data. This property will be a Dictionary of objects.
          nullable: true
          type: object
        correlationId:
          description: Correlation Id
          nullable: true
          type: string
        createDate:
          description: When the message was created. System-supplied. Read-only.
          format: date-time
          nullable: true
          type: string
        id:
          description: Unique identifier of the  message. System-supplied. Read-only.
          nullable: true
          type: string
        identifier:
          description: >-
            Unique identifier to what the message pertains, which can be a cart
            item, cart or another generic entity. System-supplied. Read-only.
          nullable: true
          type: string
        message:
          description: Human readable message. System-supplied. Read-only.
          nullable: true
          type: string
        metadata:
          description: >-
            Data. This property will be a JSON array that will contain 0-N
            items, when there is 1 item it will still be an array containing
            only one item. System-supplied. Read-only.
          nullable: true
        newValue:
          deprecated: true
          description: Current price of the item. System-supplied. Read-only.
          nullable: true
          type: string
        oldValue:
          deprecated: true
          description: Original price of the item. System-supplied. Read-only.
          nullable: true
          type: string
        subject:
          description: >-
            Text on the subject line of the message, for example, the product
            name. System-supplied. Read-only.
          nullable: true
          type: string
        subjectType:
          description: >-
            Subject of the message, for example, "Product." System-supplied.
            Read-only.
          nullable: true
          type: string
        success:
          description: Indicates if the message is related to a success or failure.
          nullable: true
          type: boolean
        userFirstName:
          description: User First Name
          nullable: true
          type: string
        userId:
          description: User Id that identifies the user that performed the related change
          nullable: true
          type: string
        userLastName:
          description: User Last Name
          nullable: true
          type: string
        userScopeType:
          description: User Type (e.g. Shopper, Admin, etc.)
          nullable: true
          type: string
        verb:
          description: "Action applicable to the message. This can be \"Increased,\" when the product price has increased, \"Decreased,\" when the \r\nproduct price has decreased, and \"Invalidated,\" when the product is no longer available. System-supplied. Read-only."
          nullable: true
          type: string
      type: object
    GatewayGiftCard:
      properties:
        amount:
          format: double
          type: number
        cardNumber:
          nullable: true
          type: string
        cardPin:
          nullable: true
          type: string
        currencyCode:
          nullable: true
          type: string
        id:
          nullable: true
          type: string
      type: object
    PaymentActionTarget:
      properties:
        targetId:
          description: The Id of the Checkout/Order/Return to target.
          nullable: true
          type: string
        targetNumber:
          description: The number of the Checkout/Order/Return to target.
          format: int32
          nullable: true
          type: integer
        targetType:
          description: >-
            Specifies if the
            Mozu.CommerceRuntime.Contracts.Payments.PaymentActionTarget.TargetId
            is a Checkout Id, Order Id, or Return Id.
          nullable: true
          type: string
      type: object
    PaymentInteraction:
      description: "A single interaction of a potential list of interactions for a transaction. The scope of the transaction is the entire payment\r\ninterchange. It is created upon authorization and is used for all subsequent interactions performed against the authorize,\r\nsuch as consecutive captures."
      properties:
        amount:
          description: Amount of funds associated with this interaction.
          format: double
          nullable: true
          type: number
        auditInfo:
          $ref: '#/components/schemas/AdminUserAuditInfo'
        capturableShipmentsSummary:
          description: >-
            Stores pairings of shipment number to shipment total for all
            captured shipments. This was added for generating TLogs.
          items:
            $ref: '#/components/schemas/CapturableShipmentSummary'
          nullable: true
          type: array
        checkNumber:
          description: If paying by check, the check number.
          nullable: true
          type: string
        currencyCode:
          description: >-
            ISO currency code for the transaction. Currently, only USD is
            supported.
          nullable: true
          type: string
        gatewayAVSCodes:
          description: Gateway AVS Codes. Supplied by PCIaaS.
          nullable: true
          type: string
        gatewayAuthCode:
          description: >-
            If required by the payment gateway, the authorization code of the
            transaction. Supplied by PCIaaS.
          nullable: true
          type: string
        gatewayCVV2Codes:
          description: Gateway CVV2 Codes. Supplied by PCIaaS.
          nullable: true
          type: string
        gatewayInteractionId:
          description: "Unique identifier of the gateway interaction. Used for credit card transactions, where the\r\npayment service creates a GatewayInteractionId for each transaction interaction."
          format: int32
          nullable: true
          type: integer
        gatewayResponseCode:
          description: Gateway response code. Supplied by PCIaaS.
          nullable: true
          type: string
        gatewayResponseData:
          description: >-
            A List of payment response data required to act on authorization
            when using external order management systems
          items:
            $ref: '#/components/schemas/PaymentGatewayResponseData'
          nullable: true
          type: array
        gatewayResponseText:
          description: Gateway response text. Supplied by PCIaaS.
          nullable: true
          type: string
        gatewayTransactionId:
          description: Unique identifier of the transaction supplied by PCIaaS.
          nullable: true
          type: string
        id:
          description: Unique identifier of this payment transaction interaction.
          nullable: true
          type: string
        interactionDate:
          description: Date the interaction occurred
          format: date-time
          nullable: true
          type: string
        interactionType:
          description: "Types of transaction interactions which can be \"Authorization,\" \"Capture,\" \"AuthorizeAndCapture,\"\r\n\"Void,\" or \"Credit,\" \"CheckRequested,\" or \"CheckReceived.\""
          nullable: true
          type: string
        isManual:
          description: If the payment is a manual payment, this is set to true
          type: boolean
        isPending:
          description: >-
            If true, indicates payment action is still pending and not yet
            confirmed.
          type: boolean
        isRecurring:
          description: >-
            If true, the product is purchased or fulfilled at regular intervals,
            for example, a monthly billing or a subscription. (Not currently
            implemented.)
          nullable: true
          type: boolean
        note:
          description: Note to be entered by merchant/application
          nullable: true
          type: string
        orderId:
          description: >-
            Unique identifier of the order with which this transaction is
            associated.
          nullable: true
          type: string
        paymentEntryStatus:
          description: Status of the payment when the transaction interaction was created
          nullable: true
          type: string
        paymentId:
          description: >-
            Unique identifier of the original transaction of which this current
            interaction is a part.
          nullable: true
          type: string
        paymentTransactionInteractionIdReference:
          description: "Unique identifier of previous PaymentTransactionInteraction that this PaymentTransactionInteraction is modifying.\r\nFor instance, when crediting a capture, set the PaymentTransactionInteractionIdReference to the capture PaymentTransactionInteractionID."
          format: int32
          nullable: true
          type: integer
        refundId:
          description: Refund Id, if the interaction is for a stand alone refund.
          nullable: true
          type: string
        returnId:
          description: Return Id, if the interaction is a Credit for a return-refund.
          nullable: true
          type: string
        status:
          description: >-
            Status of the payment transaction interaction which can be either
            "Success" or "Failure."
          nullable: true
          type: string
        target:
          $ref: '#/components/schemas/PaymentActionTarget'
      type: object
    SubPayment:
      properties:
        amountCollected:
          format: double
          type: number
        amountCredited:
          format: double
          type: number
        amountRefunded:
          format: double
          type: number
        amountRequested:
          format: double
          type: number
        status:
          nullable: true
          type: string
        target:
          $ref: '#/components/schemas/PaymentActionTarget'
      type: object
    CommerceRuntimeAddress:
      properties:
        address1:
          nullable: true
          type: string
        address2:
          nullable: true
          type: string
        address3:
          nullable: true
          type: string
        address4:
          nullable: true
          type: string
        addressType:
          nullable: true
          type: string
        cityOrTown:
          nullable: true
          type: string
        countryCode:
          nullable: true
          type: string
        isValidated:
          nullable: true
          type: boolean
        postalOrZipCode:
          nullable: true
          type: string
        stateOrProvince:
          nullable: true
          type: string
      type: object
    CommerceRuntimePhone:
      properties:
        home:
          nullable: true
          type: string
        mobile:
          nullable: true
          type: string
        work:
          nullable: true
          type: string
      type: object
    InventoryTags:
      properties:
        name:
          nullable: true
          type: string
        value:
          nullable: true
          type: string
      type: object
    CommerceRuntimeProduct:
      allOf:
        - $ref: '#/components/schemas/ProductBase'
      description: The product as it appears on the order item.
      properties:
        bundledProducts:
          description: >-
            Products bundled with this product (if the current product is a
            bundle)
          items:
            $ref: '#/components/schemas/CommerceRuntimeBundledProduct'
          nullable: true
          type: array
        categories:
          description: Categories to which this product belongs.
          items:
            $ref: '#/components/schemas/CommerceRuntimeCategory'
          nullable: true
          type: array
        condition:
          description: Condition
          nullable: true
          type: string
        discountsRestricted:
          description: Is the product discount restricted
          nullable: true
          type: boolean
        discountsRestrictedEndDate:
          description: Product discount restriction end date
          format: date-time
          nullable: true
          type: string
        discountsRestrictedStartDate:
          description: Product discount restriction start date
          format: date-time
          nullable: true
          type: string
        fulfillmentFields:
          description: List of unique product identifiers for an item on shipment
          items:
            $ref: '#/components/schemas/CommerceRuntimeFulfillmentField'
          nullable: true
          type: array
        fulfillmentTypesSupported:
          description: Types of fulfillment that are supported for this product.
          items:
            type: string
          nullable: true
          type: array
        imageAlternateText:
          description: >-
            Descriptive text of the image associated with the product in the
            language specified by LocaleCode.
          nullable: true
          type: string
        imageUrl:
          description: >-
            URL of the image that appears next to the product on the order item.
            Optional.
          nullable: true
          type: string
        isRecurring:
          description: >-
            If true, the product is purchased or fulfilled at regular intervals,
            for example, a monthly billing or a subscription.
          nullable: true
          type: boolean
        isTaxable:
          description: If true, the product is eligible for tax.
          nullable: true
          type: boolean
        mfgPartNumber:
          description: Manufacturing Part Number of the product.
          nullable: true
          type: string
        options:
          description: >-
            If the product contains configurable or stand-alone options, the
            list of product options that the shopper selected for this product.
          items:
            $ref: '#/components/schemas/CommerceRuntimeProductOption'
          nullable: true
          type: array
        price:
          $ref: '#/components/schemas/CommerceRuntimeProductPrice'
        productType:
          description: >-
            Type of product, which can be a product with configurable options, a
            product with stand-alone options, or a simple product with no
            options.
          nullable: true
          type: string
        productUsage:
          description: >-
            Usage of the product, primarily used to indicate a bundle in this
            context
          nullable: true
          type: string
        properties:
          description: >-
            If the product contains properties, the list of properties that the
            shopper selected for this product.
          items:
            $ref: '#/components/schemas/CommerceRuntimeProductProperty'
          nullable: true
          type: array
        serialNumber:
          description: Serial Number
          nullable: true
          type: string
        sku:
          description: Product Identifier specific to the store
          nullable: true
          type: string
        upc:
          description: Universal Product Code of the product.
          nullable: true
          type: string
        variationProductCode:
          description: >-
            For configurable products, the unique identifier of the product
            variation that has been selected.
          nullable: true
          type: string
      type: object
    CommerceRuntimeAppliedLineItemProductDiscount:
      allOf:
        - $ref: '#/components/schemas/CommerceRuntimeAppliedProductDiscount'
      properties:
        appliesToSalePrice:
          description: Determines if the discount applies to the sale price of the order
          nullable: true
          type: boolean
        discountQuantity:
          description: >-
            The number of the line item that can be used for this particular
            discount.
          format: int32
          type: integer
      type: object
    CommerceRuntimeAppliedLineItemShippingDiscount:
      allOf:
        - $ref: '#/components/schemas/ShippingDiscount'
      properties:
        discount:
          $ref: '#/components/schemas/CommerceRuntimeAppliedDiscount'
        discountQuantity:
          description: >-
            The number of the line item that can be used for this particular
            discount.
          format: int32
          type: integer
        impactPerUnit:
          description: The impact of this discount pur discount quantity.
          format: double
          type: number
        methodCode:
          description: Unique identifier of the shipping method discount.
          nullable: true
          type: string
      type: object
    SubstituteInfo:
      properties:
        optIn:
          description: >-
            Determines if and when substitution is allowed. Allowed values are
            `None`, `Yes`, `No`, or `OnlyAtFulfillment`. Default is `None`.
          nullable: true
          type: string
        substituteProductCode:
          description: >-
            Allows user to provide a specific product that should be substituted
            if substitution occurs.
          nullable: true
          type: string
        substituteVariantCode:
          description: >-
            Allows user to provide a specific variant that should be substituted
            if substitution occurs.
          nullable: true
          type: string
      type: object
    CommerceUnitPrice:
      description: >-
        Pricing details for the product listed on a cart item, including the
        original price, discount amount, and final price.
      properties:
        extendedAmount:
          description: >-
            Extended amount, this is in order of precedence: OverrideAmount,
            SaleAmount, ListAmount
          format: double
          nullable: true
          type: number
        listAmount:
          description: Product list amount.
          format: double
          nullable: true
          type: number
        overrideAmount:
          description: Amount as manually overridden by the Merchant
          format: double
          nullable: true
          type: number
        saleAmount:
          description: Sale amount indicated on the product.
          format: double
          nullable: true
          type: number
      type: object
    Frequency:
      properties:
        unit:
          nullable: true
          type: string
        value:
          format: int32
          type: integer
      type: object
    Trial:
      properties:
        duration:
          description: Trial duration in days
          format: int32
          type: integer
        enabled:
          description: Indicates if the trial is enabled
          type: boolean
        substituteProductCode:
          description: Product code to substitute once the trial period is finished.
          nullable: true
          type: string
        substituteProductOptions:
          description: >-
            Configurable Options to substitute once the trial period is
            finished.
          items:
            $ref: '#/components/schemas/CommerceRuntimeProductOption'
          nullable: true
          type: array
        substituteProductQuantity:
          description: Product quantity to substitute once the trail period is finished.
          format: int32
          type: integer
        substituteVariationProductCode:
          description: >-
            Variation product code to substitute once the trail period is
            finished.
          nullable: true
          type: string
      type: object
    CommerceRuntimePaymentCard:
      allOf:
        - $ref: '#/components/schemas/PaymentCardReference'
      description: "If the customer is paying by credit card, the card holder's details, such as the name on the card, number, billing \r\naddress, and expiration dates."
      properties:
        ccLastFour:
          description: "Last four digit of Credit card\r\nOnly for OMS Only tenant."
          nullable: true
          type: string
        isCardInfoSaved:
          description: If true, the card information is stored in the customer's account.
          type: boolean
        isTokenized:
          description: If true, the card is tokenized by external provider
          type: boolean
        isUsedRecurring:
          description: >-
            If true, the credit card is charged on a regular interval, such as
            for a subscription. (Not supported currently.)
          nullable: true
          type: boolean
        nameOnCard:
          description: Card holder's name as it appears on the card.
          nullable: true
          type: string
        paymentServiceCardId:
          description: Credit card number.
          nullable: true
          type: string
      type: object
    CheckPayment:
      properties:
        checkNumber:
          nullable: true
          type: string
      type: object
    PurchaseOrderPayment:
      description: Purchase order payment
      properties:
        customFields:
          description: Memo/custom fields
          items:
            $ref: '#/components/schemas/CommerceRuntimePurchaseOrderCustomField'
          nullable: true
          type: array
        paymentTerm:
          $ref: '#/components/schemas/CommerceRuntimePurchaseOrderPaymentTerm'
        purchaseOrderNumber:
          description: Purchase order number
          nullable: true
          type: string
      type: object
    PaymentToken:
      properties:
        paymentServiceTokenId:
          nullable: true
          type: string
        type:
          nullable: true
          type: string
      type: object
    CapturableShipmentSummary:
      properties:
        amountApplied:
          description: The amount applied by the payment action
          format: double
          type: number
        shipmentNumber:
          description: >-
            The identifying number of the shipment affected by the payment
            action
          format: int32
          type: integer
        shipmentTotal:
          description: The shipment's total when the payment action occurred
          format: double
          type: number
      type: object
    PaymentGatewayResponseData:
      description: Payment gateway response data
      properties:
        key:
          description: Key from payment gateway
          nullable: true
          type: string
        value:
          description: Value from payment gateway
          nullable: true
          type: string
      type: object
    ProductBase:
      properties:
        allocationExpiration:
          description: Allocation ID associated with this product on this order.
          format: date-time
          nullable: true
          type: string
        allocationId:
          description: Allocation ID associated with this product on this order.
          format: int32
          nullable: true
          type: integer
        description:
          description: >-
            Short description of the product in the language specified by
            LocaleCode.
          nullable: true
          type: string
        fulfillmentStatus:
          description: Fulfillment status of the product.
          nullable: true
          type: string
        goodsType:
          description: Goods Type
          nullable: true
          type: string
        isPackagedStandAlone:
          description: Indicates that this product ships by itself.
          type: boolean
        measurements:
          $ref: '#/components/schemas/CommerceRuntimePackageMeasurements'
        name:
          description: >-
            Name of the product, this is the current value of the product's name
            in the language specified by LocaleCode.
          nullable: true
          type: string
        productCode:
          description: Merchant-created code that uniquely identifies the product.
          nullable: true
          type: string
        productReservationId:
          description: Reservation ID associated with this product in the bundle.
          format: int32
          nullable: true
          type: integer
        stock:
          $ref: '#/components/schemas/ProductStock'
      type: object
    CommerceRuntimeBundledProduct:
      allOf:
        - $ref: '#/components/schemas/ProductBase'
      description: Describes products that are bundled inside of a main bundle product.
      properties:
        creditValue:
          description: >-
            Credit value.  Only populated if the bundled product is a gift card
            or digital credit
          format: double
          nullable: true
          type: number
        deltaPrice:
          description: Only populated for extras
          format: double
          nullable: true
          type: number
        imageUrl:
          description: ImageUrl of product
          nullable: true
          type: string
        optionAttributeFQN:
          description: Fully Qualified Name of the selected option's attribute
          nullable: true
          type: string
        optionValue:
          description: Value of the selected option
          nullable: true
        quantity:
          description: Quantity of the product included in the bundle.
          format: int32
          type: integer
      type: object
    CommerceRuntimeCategory:
      description: >-
        Categories to which the product belongs. Discounts can apply to
        categories where any product in the category is discounted.
      properties:
        id:
          description: Unique identifier of the category. System-supplied and read-only.
          format: int32
          nullable: true
          type: integer
        parent:
          type: object
      type: object
    CommerceRuntimeFulfillmentField:
      properties:
        name:
          nullable: true
          type: string
        required:
          type: boolean
        userEnteredValue:
          nullable: true
      type: object
    CommerceRuntimeProductOption:
      description: "Product option for the product listed on this order item. If the product contains \r\nconfigurable or stand-alone options, this is a product option that the shopper has selected."
      properties:
        attributeFQN:
          description: Value of the product option.
          nullable: true
          type: string
        dataType:
          description: Value of the product option.
          nullable: true
          type: string
        name:
          description: >-
            Name of the product option that appears with the order item in the
            language specified by LocaleCode.
          nullable: true
          type: string
        shopperEnteredValue:
          description: >-
            The value entered by the shopper if this is an option that requires
            shopper input, for example, a monogram.
          nullable: true
        stringValue:
          description: Value of the product option.
          nullable: true
          type: string
        value:
          description: Value of the product option.
          nullable: true
      type: object
    CommerceRuntimeProductPrice:
      description: Price of the product with any sale and discounts applied.
      properties:
        creditValue:
          description: >-
            Credit Value when the product happens to be a gift card or similar
            product
          format: double
          nullable: true
          type: number
        isOverRidePriceSalePrice:
          description: >-
            Indicate that External Price (TenantOverridePrice) is a Sale Price.
            And is used to calculate the line item discounts.
          nullable: true
          type: boolean
        msrp:
          description: MSRP of product.
          format: double
          nullable: true
          type: number
        price:
          description: >-
            Price of the product. This is the price that the merchant intends to
            sell the product if no sale price is present.
          format: double
          nullable: true
          type: number
        priceListCode:
          description: Pricelist code for the product
          nullable: true
          type: string
        priceListEntryMode:
          description: "Pricelist entry mode of the product.\r\nNote: possible values are below\r\n1. null : Product doesn't participate in pricelist\r\n2. Bulk : Bulk volume price available(unit price vary based on quantity)\r\n3. Simple:"
          nullable: true
          type: string
        salePrice:
          description: >-
            Current sale price of the product, which is a specific numerical
            amount (not a percentage off).
          format: double
          nullable: true
          type: number
        tenantOverridePrice:
          description: An override price applied on the product by the tenant.
          format: double
          nullable: true
          type: number
      type: object
    CommerceRuntimeProductProperty:
      properties:
        attributeFQN:
          nullable: true
          type: string
        dataType:
          nullable: true
          type: string
        isMultiValue:
          type: boolean
        name:
          nullable: true
          type: string
        values:
          items:
            $ref: '#/components/schemas/CommerceRuntimeProductPropertyValue'
          nullable: true
          type: array
      type: object
    CommerceRuntimeAppliedProductDiscount:
      allOf:
        - $ref: '#/components/schemas/CommerceRuntimeAppliedDiscount'
      description: Details of the discount applied to a product.
      properties:
        appliesToSalePrice:
          description: Determines if the discount applies to the sale price of the order
          nullable: true
          type: boolean
        impactPerUnit:
          deprecated: true
          description: >-
            Impact for a quantity of one product; that is, the value of the
            discount for one product.
          format: double
          nullable: true
          type: number
        productQuantity:
          deprecated: true
          description: >-
            Quantity of products priced. This is always one unless calculating
            pricing on the order or cart.
          format: int32
          nullable: true
          type: integer
      type: object
    PaymentCardReference:
      properties:
        bin:
          description: Year when the card expires.
          nullable: true
          type: string
        cardNumberPartOrMask:
          description: "The visible part of the card number that the merchant uses to refer to \r\npayment information, for example, the last for digits of the card number."
          nullable: true
          type: string
        expireMonth:
          description: Month when the card expires.
          format: int32
          type: integer
        expireYear:
          description: Year when the card expires.
          format: int32
          type: integer
        paymentOrCardType:
          description: Card type such as Visa, MasterCard, American Express, or Discover.
          nullable: true
          type: string
      type: object
    CommerceRuntimePurchaseOrderCustomField:
      properties:
        code:
          nullable: true
          type: string
        label:
          nullable: true
          type: string
        value:
          nullable: true
          type: string
      type: object
    CommerceRuntimePurchaseOrderPaymentTerm:
      properties:
        code:
          nullable: true
          type: string
        description:
          nullable: true
          type: string
      type: object
    CommerceRuntimePackageMeasurements:
      description: >-
        Physical dimensions of the package required to ship the product and its
        weight.
      properties:
        height:
          $ref: '#/components/schemas/CommerceRuntimeMeasurement'
        length:
          $ref: '#/components/schemas/CommerceRuntimeMeasurement'
        weight:
          $ref: '#/components/schemas/CommerceRuntimeMeasurement'
        width:
          $ref: '#/components/schemas/CommerceRuntimeMeasurement'
      type: object
    ProductStock:
      properties:
        aggregateInventory:
          format: int32
          nullable: true
          type: integer
        availableDate:
          format: date-time
          nullable: true
          type: string
        availableFutureInventories:
          format: int32
          readOnly: true
          type: integer
        futureInventories:
          items:
            $ref: '#/components/schemas/CommerceRuntimeFutureInventory'
          nullable: true
          type: array
        isOnBackOrder:
          type: boolean
        isSubstitutable:
          nullable: true
          type: boolean
        manageStock:
          type: boolean
        stockAvailable:
          format: int32
          nullable: true
          type: integer
        totalAvailableStock:
          format: int32
          readOnly: true
          type: integer
      type: object
    CommerceRuntimeProductPropertyValue:
      properties:
        stringValue:
          nullable: true
          type: string
        value:
          nullable: true
      type: object
    CommerceRuntimeMeasurement:
      properties:
        unit:
          nullable: true
          type: string
        value:
          format: double
          nullable: true
          type: number
      type: object
    CommerceRuntimeFutureInventory:
      properties:
        allocated:
          format: int32
          nullable: true
          type: integer
        available:
          format: int32
          nullable: true
          type: integer
        createDate:
          format: date-time
          nullable: true
          type: string
        deliveryDate:
          format: date-time
          nullable: true
          type: string
        futureInventoryID:
          format: int32
          nullable: true
          type: integer
        onhand:
          format: int32
          nullable: true
          type: integer
        pending:
          format: int32
          nullable: true
          type: integer
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````